Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.magna.so/api/external/v1/allocations/{id} \ --header 'x-magna-api-token: <api-key>'
{ "isProcessed": true, "result": { "id": "7eb179c5-d86a-4c0c-be29-198ad0cb39b0", "key": "A-SMJ7LTO1GS", "description": null, "amount": "12000", "funded": "0", "received": "0", "createdAt": "2024-04-15T21:26:21.000Z", "updatedAt": "2024-04-15T21:26:21.000Z", "cancelledAt": null, "walletAddress": "B4uSUKyxdEgCJv6CUrynBAe8NjebnX6A1f6bprQFgZ7f", "stakeholder": { "id": "fe2d5104-36d5-4c79-b457-6bfcb1ae498c", "type": null, "employeeNumber": null, "name": null, "contactEmail": null, "xHandle": null }, "customAttributes": [], "status": "NOT_STARTED", "claimable": "0", "category": { "id": "3451cadc-dd25-4aee-b000-453756796a06", "name": "Test" }, "unlockStartAt": "2024-04-15T21:26:21.000Z", "vestingStartAt": "2024-04-15T21:26:21.000Z" } }
Retrieve a single allocation by ID, including its calculated status and claimable amount.
1
Successful response
Endpoint-specific result payload.